Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01464 Crash/Freeze Critical (emulator) Always Mar 7, 2008, 10:15 Oct 12, 2008, 18:35
Tester Firewave View Status Public Platform MAME (Self-compiled)
Assigned To aaron Resolution Fixed OS
Status [?] Resolved Driver midzeus.cpp
Version 0.123u4 Fixed in Version 0.125u9 Build Debug
Fixed in Git Commit Github Pull Request #
Summary 01464: crusnexa, thegrid, thegrida: [debug] Fatal error when loading a autosave save state
Description memory_set_bankptr called with invalid bank 25
Steps To Reproduce
Additional Information 0.132u1 set renames:
crusnexo > crusnexa
Github Commit
Flags 64-bit specific, Debug build specific
Regression Version 0.123u4
Affected Sets / Systems crusnexa, thegrid, thegrida
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
9
User avatar
No.00058
Fujix
Administrator
Mar 7, 2008, 14:08
Doesn't repro here in 32-bit C2D build for invasnab and mk4.
Marked Debug build specific.
User avatar
No.00062
Tafoid
Administrator
Mar 7, 2008, 20:52
edited on: Mar 7, 2008, 20:59
Same not being able to repro 32-bit baseline windows build.
This seems to be a 64-bit specific crash? I'll mark as such.

With the games in the driver, I did get a memory leak showing:

F:\MAMESRC>mamed mk4 -autosave
--- memory leak warning ---
allocation #004291, 16 bytes (src/osd/windows/winwork.c:270)
a total of 16 bytes were not free()'d
User avatar
No.00074
XulChris
Tester
Mar 9, 2008, 02:36
I tested save states with mk4 using a debug 64bit build of sdlmame on linux and I am unable to reproduce this bug.

Using gcc-4.1.2
User avatar
No.00159
Firewave
Senior Tester
Mar 14, 2008, 19:28
I am sorry. It is specific to a few sets. I updated the report.
User avatar
No.00189
couriersud
Developer
Mar 16, 2008, 20:13
crusnexo, thegrid, thegrida are all midzeus2 games. They are all marked GAME_NOT_WORKING and will run into a "MAME Exception: Extreme count".
The assert itself is triggered by a write in adsp2100.c:

#0  0x00002b424fa78bf7 in kill () from /lib/libc.so.6
#1  0x000000000091fa00 in fatalerror (text=<value optimized out>)
    at src/emu/mame.c:1142
#2  0x000000000092e220 in memory_set_bankptr (banknum=5, 
    base=<value optimized out>) at src/emu/memory.c:1212
#3  0x0000000000928803 in data_write_word_16le (
    original_address=<value optimized out>, data=2) at src/emu/memory.c:3034
#4  0x0000000000a97c71 in adsp2100_execute (cycles=5163)
    at src/emu/cpu/adsp2100/adsp2100.c:299
#5  0x00000000008f5d23 in cpunum_execute (cpunum=128, cycles=5163)
    at src/emu/cpuintrf.c:1443
#6  0x00000000008f0004 in cpuexec_timeslice (machine=0x33c8dd0)
    at src/emu/cpuexec.c:281
#7  0x0000000000920d01 in mame_execute (options=0x3398230)
    at src/emu/mame.c:397
#8  0x00000000008ee854 in cli_execute (argc=<value optimized out>, 
    argv=<value optimized out>, osd_options=<value optimized out>)
    at src/emu/clifront.c:171
#9  0x00000000008bd3db in main (argc=3, argv=0x7fff5f6a4c38)
    at src/osd/sdl/sdlmain.c:317
User avatar
No.02009
Firewave
Senior Tester
Aug 9, 2008, 11:59
The fatalerror is gone since 0.125u9.
User avatar
No.02783
couriersud
Developer
Oct 12, 2008, 16:24
Bump. Shouldn't this be closed?
User avatar
No.02785
Firewave
Senior Tester
Oct 12, 2008, 17:07
Yes, it should be.
User avatar
No.02788
etabeta
Developer
Oct 12, 2008, 18:20
missed, sorry